var lastX = 0;

var minWidth = 192;
var maxWidth = 1024;

function startDragging(event) {
  document.addEventListener("mousemove",mouseMove,true);
  document.addEventListener("mouseup",mouseUp,true);

  lastX = event.screenX;
}

function mouseMove(event) {
  var deltaX = 0;
  var deltaY = 0;

  if ( (window.outerWidth + event.screenX - lastX >= minWidth) &&
       (window.outerWidth + event.screenX - lastX <= maxWidth) ) {
    deltaX = event.screenX - lastX;
    lastX = event.screenX;
  }

  if (window.widget) {
    resizeBy(deltaX,deltaY);
    widgetResized();
  }
}

function widgetResized() {
  if (window.widget) {
    wwidth = window.outerWidth;
    document.getElementById("center").style.width = wwidth - 191;
    document.getElementById("right").style.left = wwidth - 95;
    document.getElementById("trigUnitLabel").style.left = wwidth - 76;

    // needed to redraw the widget?
    var x = window.screenX;
    var y = window.screenY;
    var w = window.outerWidth;
    var h = window.outerHeight;
    widget.resizeAndMoveTo(x, y, w, h+1);
    widget.resizeAndMoveTo(x, y, w, h);
  }
}

function mouseUp(event) {
  document.removeEventListener("mousemove",mouseMove,true);
  document.removeEventListener("mouseup",mouseUp,true);
}
